#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}

%{expand:%%define apache_version %(rpm -q apache-devel|sed 's/apache-devel-\([0-9].*\)-.*$/\1/')}
%{expand:%%define apache_release %(rpm -q apache-devel|sed 's/apache-devel-[0-9].*-\(.*\)$/\1/')}

%{expand:%%define mm_major %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\1/')}
%{expand:%%define mm_minor %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\2/')}
%define mm_version %{mm_major}.%{mm_minor}

%define name mod_auth_radius
%define version 1.5.2
%define release 13mdk

Summary: 	Apache authentication via Radius
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		System/Servers
URL:		http://www.freeradius.org
Source0: 	ftp://ftp.freeradius.org/pub/radius/mod_auth_radius-%{version}.tar.bz2
License: 	Apache License

Prereq: apache = %{apache_version}
Prereq:	apache-common >= %{apache_version}
Prereq:	apache-conf >= %{apache_version}
Prereq: mm = %{mm_major}.%{mm_minor}

BuildRequires: ADVX-build >= 1.2
BuildRequires:  apache-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
With mod_auth_radius you are able to authenticate in Apache using Radius.

%prep
%setup -q

%build
%{_sbindir}/apxs -o mod_auth_radius.so -c *.c

%install
mkdir -p %{buildroot}%{_libdir}/apache
cp mod_auth_radius.so %{buildroot}%{_libdir}/apache/mod_auth_radius.so
chmod 755 %{buildroot}%{_libdir}/apache/mod_auth_radius.so

%clean
rm -rf %{buildroot}

%pre
#Check config file sanity
%AP13pre

%post
if [ $1 = "1" ]; then
   #We're in Install mode, add module to the config files
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
        extramodules/mod_auth_radius.so mod_auth_radius.c radius_module \
        define=HAVE_RADIUS
     fi
   done
   %ADVXpost
fi

if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
        extramodules/mod_auth_radius.so mod_auth_radius.c radius_module \
        define=HAVE_RADIUS
        $config
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
        extramodules/mod_auth_radius.so mod_auth_radius.c radius_module \
        define=HAVE_RADIUS
     fi
   done
   %ADVXpost
fi

%postun
if [ $1 = "0" ]; then
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
        extramodules/mod_auth_radius.so mod_auth_radius.c radius_module \
        define=HAVE_RADIUS
     fi
   done
   %ADVXpost
fi

%files
%defattr(-,root,root)
%doc README htaccess httpd.conf index.html
%{_libdir}/apache/mod_auth_radius.so

%changelog
* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5.2-13mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-12mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-11mdk
- new macros from ADVX-build

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-10mdk
- rebuild

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-9mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-8mdk
- Rebuild with new apache

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-7mdk
- rebuild against new apache.

* Sun May 19 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-6mdk
- build with gcc 3.1.
- add %%post and %%postun sections.
- macroize a little more.
- add BuildRequires.
- quiet the setup.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-5mdk
- Apache 1.3.24.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-4mdk
- Rebuild against new apache.

* Fri Jul 13 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.2-3mdk
- recompiled for apache 1.3.20

* Tue Apr 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-2mdk
- recompiled for apache 1.3.19

* Sat Dec 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-1mdk
- first release

* Fri Oct 20 2000 Magic Bumper <dist@conectiva.com.br>
- Automatically increased release

* Wed Aug 11 1999 Marcelo Tosatti <marcelo@conectiva.com>
- First package
- Added to Conectiva Linux
